close all
clear all
clc

load totmatrix.mat totalfatigue
[m,n] = size(totalfatigue);
scfmatrix = totalfatigue;

for i = 1:m
    for j = 4:n
        scfmatrix(i,j) = (1/scfmatrix(i,j))^(1/5);
    end
end

file = fopen('maximumscf','w');
fprintf(file,'%154s\n','MAXIMUM SCF');
fprintf(file,'%144s\n','----------------------------------------------------------------------------------------------------------------------------------------------------------');
fprintf(file,'%8s %8s %8s %15s %15s %15s %15s %15s %15s %15s %15s\n','CON','NODE','BRACE','CPOS1','CPOS2','CPOS3','CPOS4','BPOS1','BPOS2','BPOS3','BPOS4');
for k = 1:30
    fprintf(file,'%8d %8d %8d %15.2f %15.2f %15.2f %15.2f %15.2f %15.2f %15.2f %15.2f\n',scfmatrix(k,:));
end
fclose('all');

onlyscf = scfmatrix(:,4:11);
[val,loc] = max(onlyscf(:));
disp('Maximum value is')
disp(val)
disp('--------------------------------------')
[val,loc] = min(onlyscf(:));
disp('Minimum value is')
disp(val)
