close all
clear all
clc

tic

%%  Direction = 270

disp('--------------------------------------')
disp('Processing direction = 270');

%   Read from several api-results in subfolders
cd('ULS270Run/analysis');
apimat = zeros(120,4);
count = 1;
for i = 1:3
    for j = 9:9:360
        foldername = ['OR=',num2str(i),'.00_SE=',num2str(j),'.00'];
        cd(foldername);
        file1 = fopen('apicheck');
        for k = 1:42
            line = fgetl(file1);
        end
        resrow = textscan(line,'%f');
        numbers = [resrow{:,1}];
        element = numbers(1);
        if element >= 1000
            line = fgetl(file1);
            resrow = textscan(line,'%f');
        end
        numbers = [resrow{:,1}];
        element = numbers(1);
        utilization = numbers(2);
        fclose(file1);
        apimat(count,1) = i;
        apimat(count,2) = j;
        apimat(count,3) = element;
        apimat(count,4) = utilization;
        count = count+1;
        cd('../');
    end
end
cd('../../');

%   Check what order maximum lies within
apimat1ord = apimat(1:40,:);
apimat2ord = apimat(41:80,:);
apimat3ord = apimat(81:120,:);
apimat270complete = apimat1ord;
for i = 1:40
    if apimat1ord(i,4) < apimat2ord(i,4)
        apimat270complete(i,:) = apimat2ord(i,:);
        disp('2. order larger than 1. order for seed');
        disp(apimat1ord(i,2));
    elseif apimat1ord(i,4) < apimat3ord(i,4)
        apimat270complete(i,:) = apimat3ord(i,:);
        disp('3. order larger than 1. order for seed');
        disp(apimat1ord(i,2));
    elseif apimat2ord(i,4) < apimat3ord(i,4)
        disp('3. order larger than 2. order for seed')
        disp(apimat1ord(i,2));
    end
end

%   Write summary to single file
file2 = fopen('270api','w');
fprintf(file2,'%8s %8s %8s %8s\n','ORDR','SEED','ELEM','UTIL');
for i = 1:40
    fprintf(file2,'%8d %8d %8d %8.2f\n',apimat270complete(i,:));
end
fclose(file2);

disp('Finished with direction = 270');

%%  Direction = 285

disp('--------------------------------------')
disp('Processing direction = 285');

%   Read from several api-results in subfolders
cd('ULS285Run/analysis');
apimat = zeros(120,4);
count = 1;
for i = 1:3
    for j = 9:9:360
        foldername = ['OR=',num2str(i),'.00_SE=',num2str(j),'.00'];
        cd(foldername);
        file3 = fopen('apicheck');
        for k = 1:42
            line = fgetl(file3);
        end
        resrow = textscan(line,'%f');
        numbers = [resrow{:,1}];
        element = numbers(1);
        if element >= 1000
            line = fgetl(file3);
            resrow = textscan(line,'%f');
        end
        numbers = [resrow{:,1}];
        element = numbers(1);
        utilization = numbers(2);
        fclose(file3);
        apimat(count,1) = i;
        apimat(count,2) = j;
        apimat(count,3) = element;
        apimat(count,4) = utilization;
        count = count+1;
        cd('../');
    end
end
cd('../../');

%   Check what order maximum lies within
apimat1ord = apimat(1:40,:);
apimat2ord = apimat(41:80,:);
apimat3ord = apimat(81:120,:);
apimat285complete = apimat1ord;
for i = 1:40
    if apimat1ord(i,4) < apimat2ord(i,4)
        apimat285complete(i,:) = apimat2ord(i,:);
        disp('2. order larger than 1. order for seed');
        disp(apimat1ord(i,2));
    elseif apimat1ord(i,4) < apimat3ord(i,4)
        apimat285complete(i,:) = apimat3ord(i,:);
        disp('3. order larger than 1. order for seed');
        disp(apimat1ord(i,2));
    elseif apimat2ord(i,4) < apimat3ord(i,4)
        disp('3. order larger than 2. order for seed')
        disp(apimat1ord(i,2));
    end
end

%   Write summary to single file
file4 = fopen('285api','w');
fprintf(file4,'%8s %8s %8s %8s\n','ORDR','SEED','ELEM','UTIL');
for i = 1:40
    fprintf(file4,'%8d %8d %8d %8.2f\n',apimat285complete(i,:));
end
fclose(file4);

disp('Finished with direction = 285');

%%  Direction = 300

disp('--------------------------------------')
disp('Processing direction = 300');

%   Read from several api-results in subfolders
cd('ULS300Run/analysis');
apimat = zeros(120,4);
count = 1;
for i = 1:3
    for j = 9:9:360
        foldername = ['OR=',num2str(i),'.00_SE=',num2str(j),'.00'];
        cd(foldername);
        file5 = fopen('apicheck');
        for k = 1:42
            line = fgetl(file5);
        end
        resrow = textscan(line,'%f');
        numbers = [resrow{:,1}];
        element = numbers(1);
        if element >= 1000
            line = fgetl(file5);
            resrow = textscan(line,'%f');
        end
        numbers = [resrow{:,1}];
        element = numbers(1);
        utilization = numbers(2);
        fclose(file5);
        apimat(count,1) = i;
        apimat(count,2) = j;
        apimat(count,3) = element;
        apimat(count,4) = utilization;
        count = count+1;
        cd('../');
    end
end
cd('../../');

%   Check what order maximum lies within
apimat1ord = apimat(1:40,:);
apimat2ord = apimat(41:80,:);
apimat3ord = apimat(81:120,:);
apimat300complete = apimat1ord;
for i = 1:40
    if apimat1ord(i,4) < apimat2ord(i,4)
        apimat300complete(i,:) = apimat2ord(i,:);
        disp('2. order larger than 1. order for seed');
        disp(apimat1ord(i,2));
    elseif apimat1ord(i,4) < apimat3ord(i,4)
        apimat300complete(i,:) = apimat3ord(i,:);
        disp('3. order larger than 1. order for seed');
        disp(apimat1ord(i,2));
    elseif apimat2ord(i,4) < apimat3ord(i,4)
        disp('3. order larger than 2. order for seed')
        disp(apimat1ord(i,2));
    end
end

%   Write summary to single file
file6 = fopen('300api','w');
fprintf(file6,'%8s %8s %8s %8s\n','ORDR','SEED','ELEM','UTIL');
for i = 1:40
    fprintf(file6,'%8d %8d %8d %8.2f\n',apimat300complete(i,:));
end
fclose(file6);

disp('Finished with direction = 300');

%%  Direction = 315

disp('--------------------------------------')
disp('Processing direction = 315');

%   Read from several api-results in subfolders
cd('ULS315Run/analysis');
apimat = zeros(120,4);
count = 1;
for i = 1:3
    for j = 9:9:360
        foldername = ['OR=',num2str(i),'.00_SE=',num2str(j),'.00'];
        cd(foldername);
        file7 = fopen('apicheck');
        for k = 1:42
            line = fgetl(file7);
        end
        resrow = textscan(line,'%f');
        numbers = [resrow{:,1}];
        element = numbers(1);
        if element >= 1000
            line = fgetl(file7);
            resrow = textscan(line,'%f');
        end
        numbers = [resrow{:,1}];
        element = numbers(1);
        utilization = numbers(2);
        fclose(file7);
        apimat(count,1) = i;
        apimat(count,2) = j;
        apimat(count,3) = element;
        apimat(count,4) = utilization;
        count = count+1;
        cd('../');
    end
end
cd('../../');

%   Check what order maximum lies within
apimat1ord = apimat(1:40,:);
apimat2ord = apimat(41:80,:);
apimat3ord = apimat(81:120,:);
apimat315complete = apimat1ord;
for i = 1:40
    if apimat1ord(i,4) < apimat2ord(i,4)
        apimat315complete(i,:) = apimat2ord(i,:);
        disp('2. order larger than 1. order for seed');
        disp(apimat1ord(i,2));
    elseif apimat1ord(i,4) < apimat3ord(i,4)
        apimat315complete(i,:) = apimat3ord(i,:);
        disp('3. order larger than 1. order for seed');
        disp(apimat1ord(i,2));
    elseif apimat2ord(i,4) < apimat3ord(i,4)
        disp('3. order larger than 2. order for seed')
        disp(apimat1ord(i,2));
    end
end

%   Write summary to single file
file8 = fopen('315api','w');
fprintf(file8,'%8s %8s %8s %8s\n','ORDR','SEED','ELEM','UTIL');
for i = 1:40
    fprintf(file8,'%8d %8d %8d %8.2f\n',apimat315complete(i,:));
end
fclose(file8);

disp('Finished with direction = 315');

%%  Direction = 330

disp('--------------------------------------')
disp('Processing direction = 330');

%   Read from several api-results in subfolders
cd('ULS330Run/analysis');
apimat = zeros(120,4);
count = 1;
for i = 1:3
    for j = 9:9:360
        foldername = ['OR=',num2str(i),'.00_SE=',num2str(j),'.00'];
        cd(foldername);
        file9 = fopen('apicheck');
        for k = 1:42
            line = fgetl(file9);
        end
        resrow = textscan(line,'%f');
        numbers = [resrow{:,1}];
        element = numbers(1);
        if element >= 1000
            line = fgetl(file9);
            resrow = textscan(line,'%f');
        end
        numbers = [resrow{:,1}];
        element = numbers(1);
        utilization = numbers(2);
        fclose(file9);
        apimat(count,1) = i;
        apimat(count,2) = j;
        apimat(count,3) = element;
        apimat(count,4) = utilization;
        count = count+1;
        cd('../');
    end
end
cd('../../');

%   Check what order maximum lies within
apimat1ord = apimat(1:40,:);
apimat2ord = apimat(41:80,:);
apimat3ord = apimat(81:120,:);
apimat330complete = apimat1ord;
for i = 1:40
    if apimat1ord(i,4) < apimat2ord(i,4)
        apimat330complete(i,:) = apimat2ord(i,:);
        disp('2. order larger than 1. order for seed');
        disp(apimat1ord(i,2));
    elseif apimat1ord(i,4) < apimat3ord(i,4)
        apimat330complete(i,:) = apimat3ord(i,:);
        disp('3. order larger than 1. order for seed');
        disp(apimat1ord(i,2));
    elseif apimat2ord(i,4) < apimat3ord(i,4)
        disp('3. order larger than 2. order for seed')
        disp(apimat1ord(i,2));
    end
end

%   Write summary to single file
file10 = fopen('330api','w');
fprintf(file10,'%8s %8s %8s %8s\n','ORDR','SEED','ELEM','UTIL');
for i = 1:40
    fprintf(file10,'%8d %8d %8d %8.2f\n',apimat330complete(i,:));
end
fclose(file10);

disp('Finished with direction = 330');

%%  Direction = 345

disp('--------------------------------------')
disp('Processing direction = 345');

%   Read from several api-results in subfolders
cd('ULS345Run/analysis');
apimat = zeros(120,4);
count = 1;
for i = 1:3
    for j = 9:9:360
        foldername = ['OR=',num2str(i),'.00_SE=',num2str(j),'.00'];
        cd(foldername);
        file11 = fopen('apicheck');
        for k = 1:42
            line = fgetl(file11);
        end
        resrow = textscan(line,'%f');
        numbers = [resrow{:,1}];
        element = numbers(1);
        if element >= 1000
            line = fgetl(file11);
            resrow = textscan(line,'%f');
        end
        numbers = [resrow{:,1}];
        element = numbers(1);
        utilization = numbers(2);
        fclose(file11);
        apimat(count,1) = i;
        apimat(count,2) = j;
        apimat(count,3) = element;
        apimat(count,4) = utilization;
        count = count+1;
        cd('../');
    end
end
cd('../../');

%   Check what order maximum lies within
apimat1ord = apimat(1:40,:);
apimat2ord = apimat(41:80,:);
apimat3ord = apimat(81:120,:);
apimat345complete = apimat1ord;
for i = 1:40
    if apimat1ord(i,4) < apimat2ord(i,4)
        apimat345complete(i,:) = apimat2ord(i,:);
        disp('2. order larger than 1. order for seed');
        disp(apimat1ord(i,2));
    elseif apimat1ord(i,4) < apimat3ord(i,4)
        apimat345complete(i,:) = apimat3ord(i,:);
        disp('3. order larger than 1. order for seed');
        disp(apimat1ord(i,2));
    elseif apimat2ord(i,4) < apimat3ord(i,4)
        disp('3. order larger than 2. order for seed')
        disp(apimat1ord(i,2));
    end
end

%   Write summary to single file
file12 = fopen('345api','w');
fprintf(file12,'%8s %8s %8s %8s\n','ORDR','SEED','ELEM','UTIL');
for i = 1:40
    fprintf(file12,'%8d %8d %8d %8.2f\n',apimat345complete(i,:));
end
fclose(file12);

disp('Finished with direction = 345');

%%  Direction = 360

disp('--------------------------------------')
disp('Processing direction = 360');

%   Read from several api-results in subfolders
cd('ULS360Run/analysis');
apimat = zeros(120,4);
count = 1;
for i = 1:3
    for j = 9:9:360
        foldername = ['OR=',num2str(i),'.00_SE=',num2str(j),'.00'];
        cd(foldername);
        file13 = fopen('apicheck');
        for k = 1:42
            line = fgetl(file13);
        end
        resrow = textscan(line,'%f');
        numbers = [resrow{:,1}];
        element = numbers(1);
        if element >= 1000
            line = fgetl(file13);
            resrow = textscan(line,'%f');
        end
        numbers = [resrow{:,1}];
        element = numbers(1);
        utilization = numbers(2);
        fclose(file13);
        apimat(count,1) = i;
        apimat(count,2) = j;
        apimat(count,3) = element;
        apimat(count,4) = utilization;
        count = count+1;
        cd('../');
    end
end
cd('../../');

%   Check what order maximum lies within
apimat1ord = apimat(1:40,:);
apimat2ord = apimat(41:80,:);
apimat3ord = apimat(81:120,:);
apimat360complete = apimat1ord;
for i = 1:40
    if apimat1ord(i,4) < apimat2ord(i,4)
        apimat360complete(i,:) = apimat2ord(i,:);
        disp('2. order larger than 1. order for seed');
        disp(apimat1ord(i,2));
    elseif apimat1ord(i,4) < apimat3ord(i,4)
        apimat360complete(i,:) = apimat3ord(i,:);
        disp('3. order larger than 1. order for seed');
        disp(apimat1ord(i,2));
    elseif apimat2ord(i,4) < apimat3ord(i,4)
        disp('3. order larger than 2. order for seed')
        disp(apimat1ord(i,2));
    end
end

%   Write summary to single file
file14 = fopen('360api','w');
fprintf(file14,'%8s %8s %8s %8s\n','ORDR','SEED','ELEM','UTIL');
for i = 1:40
    fprintf(file14,'%8d %8d %8d %8.2f\n',apimat360complete(i,:));
end
fclose(file14);

disp('Finished with direction = 360');

%%

disp('--------------------------------------')
toc